Bug 74291 - _XEditResCheckMessages is defined in libXm and libXmu
_XEditResCheckMessages is defined in libXm and libXmu
Product: Red Hat Linux
Classification: Retired
Component: openmotif (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-09-19 14:45 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-19 14:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-19 14:45:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
_XEditResCheckMessages is defined in libXm and libXmu

Applications that require both libXm and libXmu do not link.

g++ -D__cfront__  -o txt s_textbook.o libmaint.o ordering.o inv_ret.o vendor.o
txt.o crs.o rept.o wsapp.o wsmain.o pwent.o ../../export/export2scs.o maininit.o
../../export/libexport.o ../../export/export2web.o /u/src/txt/txt/libtags.a
/u/src/txt/txt/libtxt.a /u/src/txt/txt/version.o /u/src/txt/dbv/libdbv.a
/u/src/txt/txt/libstxt.a /u/src/txt/txt/wsdoc.o ../zinc/libzinc.a
/u/src/txt/txt/libtxt.a /u/src/txt/general/libagen.a /usr/local/src/bip/bipapi.a
/usr/local/src/bip/lsapi.a   \
        -L/usr/local/Zinc_mtf/lib -L/usr/local/lib -ltcl8.3 \
        -l_mtf_zil /usr/X11R6/lib/libXm.a /usr/X11R6/lib/libXmu.a
/usr/X11R6/lib/libXp.a /usr/X11R6/lib/libXext.a /usr/X11R6/lib/libXt.a
/usr/X11R6/lib/libSM.a /usr/X11R6/lib/libICE.a /usr/X11R6/lib/libX11.a -lgdbm 
/u/src/txt/txt/config2.o -L/usr/local/lib/python2.2/config -lpython2.2 
-L/usr/local/src/db_VISTA.4.5/rom30/lib/ -lomrdm
/usr/local/src/db_VISTA.4.5/lib/libvistact.a -ll -lpthread -ldl -lutil -lcrypt -lm
/usr/X11R6/lib/libXmu.a(EditresCom.o): In function `_XEditResCheckMessages':
EditresCom.o(.text+0x0): multiple definition of `_XEditResCheckMessages'
/usr/X11R6/lib/libXm.a(EditresCom.o)(.text+0x70): first defined here

ordering.o: In function `prnbackorder(StoreRef &)':
/usr/local/src/txb/appz/ordering.C:1963: the use of `tmpnam' is dangerous,
better use `mkstemp'
/usr/local/lib/python2.2/config/libpython2.2.a(posixmodule.o): In function
/usr/local/src/Python-2.2.1/./Modules/posixmodule.c:4501: the use of `tmpnam_r'
is dangerous, better use `mkstemp'
/usr/local/lib/python2.2/config/libpython2.2.a(posixmodule.o): In function
/usr/local/src/Python-2.2.1/./Modules/posixmodule.c:4451: the use of `tempnam'
is dangerous, better use `mkstemp'
collect2: ld returned 1 exit status
gmake[2]: *** [txt] Error 1
gmake[2]: Leaving directory `/u/src/txt/mtf/appz'
gmake[1]: *** [txt] Error 2
gmake[1]: Leaving directory `/u/src/txt/mtf'
gmake: *** [zmtf] Error 2

From nm on RH7.3:

         U _XEditResCheckMessages
00000070 T _XEditResCheckMessages
00000000 T _XEditResCheckMessages

In RH7.2 this symbol appears only in Xmu:

00000000 T _XEditResCheckMessages

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Link an app with libXm.a and libXmu.a

Actual Results:  The app won't link.

Expected Results:  An app should've linked/

Additional info:
Comment 1 Ngo Than 2002-11-06 11:03:52 EST
It's fixed in 2.2.2-13. You will find it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.